#include <iostream>
#include "lowJack.h"
#include "subject.h"
#include "vehicle.h"

using namespace std;

LowJack::LowJack(Vehicle &subject) : Observer{&subject} {	
    _subject->subscribe(*this);
}

void LowJack::update() {
    // If this was real, we would update the database of lojack information on this specifc vehicle
    cout << endl;
    cout << "**LOWJACK INFO UPDATE RECEIVED FROM VEHICLE**" << endl;

    // pull the properties of the vehicle
    cout << "Location of vehicle: " << _subject->position() << endl;
    cout << "Doors are locked : " << std::boolalpha << _subject->locked() << endl << endl;
}
