#include <iostream>
#include <string>
#include <cstdlib>
#include <stdio.h>
#include "dashBoard.h"
#include "fleetTracker.h"
#include "lowJack.h"
#include "onStar.h"
#include "vehicle.h"


using namespace std;

int main() {	
    Vehicle prius{0.5}; // economic?

    DashBoard priusDash{prius};
    FleetTracker priusTracker{prius};
    LowJack priusGotJacked{prius};
    OnStar WhyDoesMyPriusHaveOnStar{prius};

    cout << "Welcome to the Observation pattern based simulation" << endl;
    cout << "The program following this will simulate the notify-update response designed by this code" << endl;

    cout << "Press Enter to start your Prius...";
    getchar();

    prius.turnOnCar(); // its a prius, we can leave it on all the time ;)
    cout << "Press Enter to drive to work...";
    getchar();
	
    prius.driveDistance(5); // drive to work
    cout << "Press Enter to go home from work...";
    getchar();

    prius.driveDistance(-5, 100, true); // late night at work drive home
    cout << "Press Enter to go for a max speed run...";
    getchar();

    prius.driveDistance(10, 150, true, true); // max speed run in the rain at night in your prius
    cout << "Press Enter to return home after max speed run";
    getchar();

    prius.driveDistance(-10, 30, true, false, true); // drive home, stopped raining, at night, with the windows open
    cout << "Press Enter to end the simulation";
    getchar();

    //then you lose your prius because fleet tracker was watching. 

    cout << "Simulation Complete" << endl;

    return 0;
}
